version: '3.3'
services:
  mysql:
    image: mysql:5.7
    restart: always
    container_name: game-db
    environment:
      MYSQL_USER: 'demo'
      MYSQL_PASSWORD: 'cardgame@123!'
      MYSQL_ROOT_PASSWORD: 'rocardgame@123!'
    ports:
      - '127.0.0.1:3306:3306'
    volumes:
      - game-db:/var/lib/mysql
      - ./config/mysql/conf.d:/etc/mysql/conf.d:ro
      - ./config/mysql/db:/docker-entrypoint-initdb.d/:ro

  mongo:
    image: mongo
    restart: always
    container_name: game-mongo
    environment:
      MONGO_INITDB_ROOT_USERNAME: admin
      MONGO_INITDB_ROOT_PASSWORD: HjUj87^&gdj**182+_)%&jfhjHKDSJ
      MONGO_INITDB_DATABASE: win123club
    ports:
      - '127.0.0.1:27017-27019:27017-27019'
    command:
      - '--auth'
      - '-f'
      - '/configFolder/mongod.conf'
    volumes:
      - ./config/mongod:/configFolder
      - game-mongo:/data/db

    # hazelcast imdg
  hazelcast:
    image: hazelcast/hazelcast:3.12.5
    restart: always
    container_name: game-hazelcast
    volumes:
      - ./config/hazelcast:/configFolder
      - "/etc/localtime:/etc/localtime:ro"
    environment:
      - JAVA_OPTS=-Dhazelcast.config=/configFolder/hazelcast.xml -Dgroup.name=dev -Dgroup.password=zHZ+2aj7xzWV7fBJ
    ports:
      - "127.0.0.1:5701:5701"
  ## manage center
  

    # rabbitmq
  rabbitmq:
    image: 'rabbitmq:3.8.3-management'
    restart: always
    container_name: game-rabbitmq
    environment:
      - "RABBITMQ_DEFAULT_USER=demo"
      - "RABBITMQ_DEFAULT_PASS=cardgame@123!"
    ports:
        - "127.0.0.1:5672:5672"
        - "127.0.0.1:15672:15672"
  redis:
    image: bitnami/redis:latest
    ports:
      - "127.0.0.1:6379:6379"
    expose:
      - 6379
    environment:
      - ALLOW_EMPTY_PASSWORD=yes
    restart: always

# Names our volume
volumes:
  game-db:
    external:
      name: game-db
  game-mongo:
    external:
      name: mongo-db
  hazelcast-vl: